| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Update sparse vectors
Vector Conversions » Extract vector

## Overview

Intrinsics allowing you to update the sparsity mask and data of a sparse vector.

## Functions
v128int8_sparse | update (v128int8_sparse m, sparsity_t v)
v128int8_sparse | update (v128int8_sparse m, v64int8 v)
v128uint8_sparse | update (v128uint8_sparse m, sparsity_t v)
v128uint8_sparse | update (v128uint8_sparse m, v64uint8 v)
v256int4_sparse | update (v256int4_sparse m, sparsity_t v)
v256int4_sparse | update (v256int4_sparse m, v128int4 v)
v256uint4_sparse | update (v256uint4_sparse m, sparsity_t v)
v256uint4_sparse | update (v256uint4_sparse m, v128uint4 v)
v64bfloat16_sparse | update (v64bfloat16_sparse m, sparsity_t v)
v64bfloat16_sparse | update (v64bfloat16_sparse m, v32bfloat16 v)
v64int16_sparse | update (v64int16_sparse m, sparsity_t v)
v64int16_sparse | update (v64int16_sparse m, v32int16 v)
v64uint16_sparse | update (v64uint16_sparse m, sparsity_t v)
v64uint16_sparse | update (v64uint16_sparse m, v32uint16 v)

## Function Documentation

## ◆ update() [1/14]

v128int8_sparse update | ( | v128int8_sparse | m,
|  | sparsity_t | v )

## ◆ update() [2/14]

v128int8_sparse update | ( | v128int8_sparse | m,
|  | v64int8 | v )

## ◆ update() [3/14]

v128uint8_sparse update | ( | v128uint8_sparse | m,
|  | sparsity_t | v )

## ◆ update() [4/14]

v128uint8_sparse update | ( | v128uint8_sparse | m,
|  | v64uint8 | v )

## ◆ update() [5/14]

v256int4_sparse update | ( | v256int4_sparse | m,
|  | sparsity_t | v )

## ◆ update() [6/14]

v256int4_sparse update | ( | v256int4_sparse | m,
|  | v128int4 | v )

## ◆ update() [7/14]

v256uint4_sparse update | ( | v256uint4_sparse | m,
|  | sparsity_t | v )

## ◆ update() [8/14]

v256uint4_sparse update | ( | v256uint4_sparse | m,
|  | v128uint4 | v )

## ◆ update() [9/14]

v64bfloat16_sparse update | ( | v64bfloat16_sparse | m,
|  | sparsity_t | v )

## ◆ update() [10/14]

v64bfloat16_sparse update | ( | v64bfloat16_sparse | m,
|  | v32bfloat16 | v )

## ◆ update() [11/14]

v64int16_sparse update | ( | v64int16_sparse | m,
|  | sparsity_t | v )

## ◆ update() [12/14]

v64int16_sparse update | ( | v64int16_sparse | m,
|  | v32int16 | v )

## ◆ update() [13/14]

v64uint16_sparse update | ( | v64uint16_sparse | m,
|  | sparsity_t | v )

## ◆ update() [14/14]

v64uint16_sparse update | ( | v64uint16_sparse | m,
|  | v32uint16 | v )